import java.util.ArrayList;
public class SetPlaneGeneric<T>
{
    private ArrayList<T> _places;
    private int _maxCount;
    public int getCount() {
        return _places.size();
    }

    public SetPlaneGeneric(int count)
    {
        _places = new ArrayList<>();
        _maxCount = count;
    }
    public int Insert(T plane)
    {
        if (_places.size() == _maxCount) return -1;
        _places.add(0, plane);
        return 0;
    }
    public int Insert(T plane, int position)
    {
        if (_places.size() == _maxCount) return -1;
        _places.add(position, plane);
        return position;
    }

    public T Remove(int position)
    {
        if(position > _maxCount || position < 0) return null;
        T res = _places.get(position);
        _places.remove(res);
        return res;
    }

    public T Get(int position)
    {
        return _places.get(position);
    }
}